Package com.smartgwt.client.widgets.form.fields.events

# Interface HasValueHoverHandlers

All Superinterfaces:
  `HasHandlers`

All Known Implementing Classes:
  `AIDataQuestionItem`, `AutoFitTextAreaItem`, `BlurbItem`, `BooleanItem`, `ButtonItem`, `CancelItem`, `CanvasItem`, `CheckboxItem`, `ColorItem`, `ColorPickerItem`, `ComboBoxItem`, `DateItem`, `DateRangeItem`, `DateTimeItem`, `DoubleItem`, `FileItem`, `FloatItem`, `FormItem`, `HeaderItem`, `HiddenItem`, `IntegerItem`, `IPickTreeItem`, `LinkItem`, `MiniDateRangeItem`, `MultiComboBoxItem`, `MultiFileItem`, `MultiPickerItem`, `NativeCheckboxItem`, `PasswordItem`, `PickTreeItem`, `PresetCriteriaItem`, `PresetDateRangeItem`, `RadioGroupItem`, `RelativeDateItem`, `ResetItem`, `RichTextItem`, `RowSpacerItem`, `SavedSearchItem`, `SectionItem`, `SelectItem`, `SelectOtherItem`, `SetFilterItem`, `ShuttleItem`, `SliderItem`, `SpacerItem`, `SpinnerItem`, `StaticTextItem`, `SubmitItem`, `TextAreaItem`, `TextItem`, `TimeItem`, `ToggleItem`, `ToolbarItem`, `UploadItem`, `ViewFileItem`

public interface HasValueHoverHandlers extends HasHandlers

- ## Method Summary

  Modifier and Type
  Method
  Description
  `HandlerRegistration`
  `addValueHoverHandler(ValueHoverHandler handler)`
  Optional stringMethod to fire when the user hovers over this item's value.

  ### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

  `fireEvent`

- ## Method Details

  - ### addValueHoverHandler

    HandlerRegistration addValueHoverHandler(ValueHoverHandler handler)
    Optional stringMethod to fire when the user hovers over this item's value. Call `com.smartgwt.client.widgets.form.fields.events.ValueHoverEvent#cancel()` from within `ValueHoverHandler.onValueHover(com.smartgwt.client.widgets.form.fields.events.ValueHoverEvent)` to suppress default behavior of showing a hover canvas containing the HTML returned by `valueHoverHTML()` / `DynamicForm.valueHoverHTML()`.

    If `canHover` is set to false, this method is not called.

    Parameters:
      `handler` - the valueHover handler
    Returns:
      `HandlerRegistration` used to remove this handler